Public Attributes | List of all members
ble_gatts_attm_desc_128_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Server » Structures

Service(128 bits UUID) description. More...

`#include <ble_gatts.h>`

## Public Attributes
uint8_t | uuid [16]
| 128 bits UUID LSB First. More...
uint16_t | perm
| Attribute permissions, see Attribute Permission. More...
uint16_t | ext_perm
| Attribute extended permissions, see Attribute Extend Permission. More...
uint16_t | max_size
| Attribute max size. More...

## Detailed Description

Service(128 bits UUID) description.

Definition at line 254 of file ble_gatts.h.

## Member Data Documentation

## ◆ ext_perm

uint16_t ble_gatts_attm_desc_128_t::ext_perm

Attribute extended permissions, see Attribute Extend Permission.

- For Primary/Secondary/Included Services, this field is not used, set to 0.
- For Characteristic Declaration, this field is not used, set to 0.
- For Characteristic Extended Properties, this field is not used, set to 0.
- For Client Characteristic Configuration and Server Characteristic Configuration, value must be saved in user space, user needn't to set this value location bit. The UUID length type must be set to 0.

Definition at line 264 of file ble_gatts.h.

## ◆ max_size

uint16_t ble_gatts_attm_desc_128_t::max_size

Attribute max size.

- For Primary/Secondary/Included Services, this field is not used, set to 0.
- For Characteristic Declaration, this field is not used, set to 0.
- For Characteristic Extended Properties, this field contains 2-byte value.
- For Client Characteristic Configuration and Server Characteristic Configuration, this field is not used, set to 0.
- For others, this field is attribute max size.

Definition at line 271 of file ble_gatts.h.

## ◆ perm

uint16_t ble_gatts_attm_desc_128_t::perm

Attribute permissions, see Attribute Permission.

- For Primary/Secondary/Included Services, must be BLE_GATTS_READ_PERM_UNSEC.
- For Characteristic Declaration, must be BLE_GATTS_READ_PERM_UNSEC.
- For Characteristic Extended Properties, must be BLE_GATTS_READ_PERM_UNSEC.
- For Characteristic Presentation Format, must be BLE_GATTS_READ_PERM_UNSEC.
- For Characteristic Aggregate Format, must be BLE_GATTS_READ_PERM_UNSEC.

Definition at line 257 of file ble_gatts.h.

## ◆ uuid

uint8_t ble_gatts_attm_desc_128_t::uuid[16]

128 bits UUID LSB First.

Definition at line 256 of file ble_gatts.h.

The documentation for this struct was generated from the following file:

- ble_gatts.h